Subject: Re: bug#71205: 29.3; Automatic indentation of c-ts-mode doesn't work well for me.

From: 川本 琢二 (Dr.Sc.KAWAMOTO,Takuji)<[email-masked]>
Date: Fri, 7 Jun 2024 00:53:02 +0900

Thanks for your answer, Mr Yuan.
This answer solved the original problem.

Instead, I think a new problem has been revealed.
What we should expect is for the cursor to move to column 5, because 
that's gnu style.
But it actually moves to column 3.

Thanks all.

On 2024/06/06 14:25, Yuan Fu wrote:
>
>> On May 26, 2024, at 1:12 AM, Eli Zaretskii <[email-masked]> wrote:
>>
>>> Date: Sun, 26 May 2024 13:32:37 +0900
>>> From: 川本 琢二
>>> (Dr.Sc.KAWAMOTO, Takuji) <[email-masked]>
>>>
>>> 1. Start emacs.
>>> 2. Open the C source code file and write the following content.
>>>
>>> ----------- c source code file begins -------------
>>> void test(void)
>>> {
>>>    do🔳
>>> ----------- c source code file ends ---------------
>>>
>>> 3. Place the cursor after `do` and press Return.
>>>
>>> Expected behaviour is automatic indentation. I want to move the cursor
>>> to the 5th column of the next line.
>>> However, the observed behavior is NOT indentation. The cursor moves to
>>> the 1st column of the next line.
>> I think this is because the above source code fails to parse.  If you
>> add a closing brace after the "do" line, and then repeat your recipe,
>> the cursor goes to column 3.
>>
>> Yuan, can you please look into this?
> Thanks for your detailed report, Kawamoto san. Yes, this is due to the source code not being complete (missing closing brackets). For the moment, I suggest turning on electric-pair-mode which automatically adds closing brackets.
>
> Yuan